Skip to main content

Overview

Concentrate provides access to 130+ models from 19 authors across 16 providers through a single unified API. Use any model slug below in the model field of your request.
{
  "model": "claude-opus-4-7",
  "input": "Hello, world!"
}
You can also pin a specific provider using the provider/model format:
{
  "model": "anthropic/claude-opus-4-7",
  "input": "Hello, world!"
}
Pricing, context windows, and provider availability are kept current in the Model Fortress dashboard. You can also query the List Models endpoint for real-time data.

Models by Author

OpenAI (23 models)

Frontier

Model SlugNameProvidersContextMax Output
gpt-5.5GPT 5.5openai, azure1,050,000128,000
gpt-5.4GPT 5.4openai, azure1,050,000128,000
gpt-5.4-proGPT 5.4 Proopenai, azure1,050,000128,000
gpt-5.4-miniGPT 5.4 Miniopenai, azure128,000128,000
gpt-5.4-nanoGPT 5.4 Nanoopenai, azure128,000128,000
gpt-5.2GPT 5.2openai, azure400,000128,000
gpt-5.1GPT 5.1openai, azure400,000128,000
gpt-5GPT 5openai, azure400,000128,000
gpt-5-miniGPT 5 Miniopenai, azure400,000128,000
gpt-5-nanoGPT 5 Nanoopenai, azure400,000128,000

Codex (Agentic Coding)

Model SlugNameProvidersContextMax Output
gpt-5.3-codexGPT 5.3 Codexopenai, azure400,000128,000
gpt-5.2-codexGPT 5.2 Codexopenai400,000128,000
gpt-5.1-codex-maxGPT 5.1 Codex Maxopenai400,000128,000
gpt-5.1-codex-miniGPT 5.1 Codex Miniopenai400,000128,000

Reasoning

Model SlugNameProvidersContextMax Output
o1OpenAI o1openai200,000100,000

Previous Generation

Model SlugNameProvidersContextMax Output
gpt-4.1GPT 4.1openai, azure1,047,57632,768
gpt-4.1-miniGPT 4.1 Miniopenai, azure1,047,57632,768
gpt-4oGPT 4oopenai, azure128,00016,384
gpt-4o-miniGPT 4o Miniopenai, azure128,00016,384

Open-Weight (GPT-OSS)

Model SlugNameProvidersContextMax Output
gpt-oss-120bOpenAI gpt-oss 120Bazure, cloudflare, bedrock, bluelobster131,072128,000
gpt-oss-20bOpenAI gpt-oss 20Bcloudflare, bedrock, bluelobster131,072128,000
gpt-oss-safeguard-120bOpenAI gpt-oss Safeguard 120Bbedrock128,000128,000
gpt-oss-safeguard-20bOpenAI gpt-oss Safeguard 20Bbedrock128,000128,000

Providers

Models are available across 17 providers. The same model may be offered by multiple providers with different pricing, latency, and feature support.
ProviderSlugDescription
OpenAIopenaiDirect OpenAI API access
AnthropicanthropicDirect Anthropic API access (ZDR available)
AzureazureMicrosoft Azure OpenAI Service
AWS BedrockbedrockAmazon Bedrock managed inference
Google Vertex AIvertexGoogle Cloud Vertex AI
Google AI Studioai-studioGoogle AI Studio
xAIxaixAI direct API access
CoherecohereCohere direct API access
MistralmistralMistral AI direct API access
Alibaba CloudalibabaAlibaba Cloud Model Studio (DashScope) direct API access
CloudflarecloudflareCloudflare Workers AI
z.aizaiZhipu AI direct API access
MiniMaxminimaxMiniMax direct API access
DeepSeekdeepseekDeepSeek direct API access
DeepInfradeepinfraDeepInfra inference platform
NovitanovitaNovita AI inference platform
Blue LobsterbluelobsterBlue Lobster inference

Model Selection

There are three ways to specify which model to use:
MethodFormatExampleBehavior
Model slug"model-slug""claude-opus-4-7"Auto-routes to the best provider
Provider-pinned"provider/model-slug""anthropic/claude-opus-4-7"Uses specific provider, falls back to others
Auto"auto""auto"System selects optimal model and provider
See Routing for full details on provider selection, fallback, and optimization metrics.

Querying Models Programmatically

Use the Models API to get real-time model data including current pricing:
# List all models
curl https://api.concentrate.ai/v1/models \
  -H "Authorization: Bearer YOUR_API_KEY"

# Get a specific model
curl https://api.concentrate.ai/v1/models/claude-opus-4-7 \
  -H "Authorization: Bearer YOUR_API_KEY"

# List models by author
curl https://api.concentrate.ai/v1/models/authors/anthropic \
  -H "Authorization: Bearer YOUR_API_KEY"

# List models by provider
curl https://api.concentrate.ai/v1/models/providers/bedrock/models \
  -H "Authorization: Bearer YOUR_API_KEY"

List Models

Full API reference for querying models

Routing

How provider selection and fallback works

Zero Data Retention

ZDR-certified models and providers

Quickstart

Make your first API call